Bug 2138252 - Include GNOME 43.1 in Fedora 37
Summary: Include GNOME 43.1 in Fedora 37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-10-27 18:58 UTC by Adam Williamson
Modified: 2022-11-08 01:49 UTC (History)
5 users (show)

Fixed In Version: gnome-control-center-43.1-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-08 01:49:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2022-10-27 18:58:25 UTC
Fedora 37 Final has been delayed by several weeks due to multiple factors (most lately the pending critical openssl vuln). Currently we have GNOME 43.0 in stable for F37. 43.1 is released upstream, though not yet built for Fedora 37.

Given the delays, I'd suggest it would make sense to pull 43.1 in for F37 Final if it is built and submitted relatively soon. This provides a newer (and hopefully better) experience on the live images, and a better impression of freshness for the release.

This bug is filed for the purpose of being proposed as a freeze exception to allow this to happen.

This is part of the broader plan, generally agreed upon at the 2022-10-27 go/no-go meeting, to consider freshening up key components for the delayed release.

Comment 1 David King 2022-10-27 20:07:08 UTC
I will try to get this done by Monday the 31st.

Comment 2 Adam Williamson 2022-10-28 20:54:34 UTC
+9 in https://pagure.io/fedora-qa/blocker-review/issue/993 , marking accepted.

Comment 3 Fedora Update System 2022-10-28 21:24:26 UTC
FEDORA-2022-524f278070 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-524f278070

Comment 4 Fedora Update System 2022-10-28 21:25:01 UTC
FEDORA-2022-a2e0a97b88 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a2e0a97b88

Comment 5 Adam Williamson 2022-10-28 21:31:06 UTC
A question here: GNOME 43.1 didn't include gnome-shell 43.1. fmuellner says a gnome-shell 43.1 is planned probably in "another couple of days". Do we want to include that in this?

Comment 6 Fedora Update System 2022-10-30 07:24:02 UTC
FEDORA-2022-ce3b8fbd4d has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ce3b8fbd4d

Comment 7 Fedora Update System 2022-10-30 19:22:14 UTC
FEDORA-2022-a2e0a97b88 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a2e0a97b88`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a2e0a97b88

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-30 19:22:20 UTC
FEDORA-2022-ce3b8fbd4d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ce3b8fbd4d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ce3b8fbd4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-11-01 14:47:08 UTC
FEDORA-2022-ce3b8fbd4d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ce3b8fbd4d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ce3b8fbd4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-11-03 08:46:42 UTC
FEDORA-2022-ce3b8fbd4d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ce3b8fbd4d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ce3b8fbd4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-11-08 01:48:53 UTC
FEDORA-2022-a2e0a97b88 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-11-08 01:48:55 UTC
FEDORA-2022-524f278070 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-11-08 01:49:19 UTC
FEDORA-2022-ce3b8fbd4d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.